> For the complete documentation index, see [llms.txt](https://docs.gestao.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gestao.plus/api/public/payment_checkout/new_user_recurrency_checkout_bill.md).

# Checkout de Recorrência em Novo Usuário (Boleto)

## Checkout de recorrência para novo usuário pagando em boleto

<mark style="color:green;">`POST`</mark> `https://api.gestao.plus/order?t={token}`

Este endpoint permite que você acesse o checkout de pagamentos como um novo usuário pagando em boleto.

#### Query Parameters

| Name                                | Type   | Description                     |
| ----------------------------------- | ------ | ------------------------------- |
| t<mark style="color:red;">\*</mark> | string | Token de acesso para o checkout |

#### Headers

| Name                                     | Type   | Description                 |
| ---------------------------------------- | ------ | --------------------------- |
| Origin<mark style="color:red;">\*</mark> | string | URL de origem da requisição |

#### Request Body

| Name                                              | Type   | Description                                                                                   |
| ------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------- |
| items<mark style="color:red;">\*</mark>           | string | <p>Lista com os itens selecionados para o checkout,<br>cada um com o seu id e quantidade.</p> |
| userData<mark style="color:red;">\*</mark>        | string | Objeto com os dados do usuário, seu email, nome, endereço...                                  |
| type<mark style="color:red;">\*</mark>            | string | Tipo de pedido, neste caso "R" de recorrência.                                                |
| negotiationType<mark style="color:red;">\*</mark> | string | ID do tipo de negociação usado (boleto, cartão...)                                            |

{% tabs %}
{% tab title="200 " %}

```
{
   "code":"",
   "data":{
      "id":975, // ID DA VENDA
      "orderCode":"000097XYZ8" // CODIGO DA VENDA
   },
   "publicToken":"TOKEN PUBLICO DO PEDIDO",
   "type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
   "title":"ok",
   "status":200,
   "detail":"Order created"
}
```

{% endtab %}

{% tab title="403 " %}

```
{
    "type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
    "title": "Forbidden",
    "status": 403,
    "detail": "Forbidden (Invalid token)"
}
```

{% endtab %}
{% endtabs %}

### Exemplo do Corpo da Requisição:

```
{
    "negotiationType": "8",
    "type": "R", // ESTE ATRIBUTO DETERMINA O PEDIDO COMO RECORRENCIA
    "userData": {
        "document": "123123123",
        "name": "GERADO",
        "email": "gestao@live.com",
        "cellphone": "(62) 123123-8359",
        "zipCode": "74230-130",
        "address": "Avenida T 14",
        "number": "1111",
        "neighborhood": "Setor Teste",
        "addressDetail": "Apt 123123",
        "city": "Goiânia",
        "state": "GO"
    },
    "items": [
        {
            "id": "83",
            "quantity": 1
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gestao.plus/api/public/payment_checkout/new_user_recurrency_checkout_bill.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
